Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(182)

Unified Diff: third_party/re2/runtests

Issue 10575037: Include RE2 library (Closed) Base URL: svn://svn.chromium.org/chrome/trunk/src
Patch Set: Less intrusive fix for Android Created 8 years, 5 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « third_party/re2/re2/walker-inl.h ('k') | third_party/re2/testinstall.cc » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: third_party/re2/runtests
diff --git a/third_party/re2/runtests b/third_party/re2/runtests
new file mode 100755
index 0000000000000000000000000000000000000000..aadcb92f9b1a37f060e2f53304e15fd755d0513f
--- /dev/null
+++ b/third_party/re2/runtests
@@ -0,0 +1,21 @@
+#!/usr/bin/env bash
+
+success=true
+for i
+do
+ printf "%-40s" $i
+ if sh -c "$i >$i.log 2>&1" 2>/dev/null
+ then
+ echo PASS
+ else
+ echo FAIL';' output in $i.log
+ success=false
+ fi
+done
+
+if $success; then
+ echo 'ALL TESTS PASSED.'
+ exit 0
+fi
+echo 'TESTS FAILED.'
+exit 1
« no previous file with comments | « third_party/re2/re2/walker-inl.h ('k') | third_party/re2/testinstall.cc » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698